> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Meta Profile

> Activate a meta-profile by recording it as ``active_meta_profile``.

Unlike LLM profiles, activating a meta-profile does not mutate the agent's
LLM config — it only records which meta-profile the
``route_task_to_model`` tool should route with. Returns 404 if the
meta-profile does not exist.



## OpenAPI

````yaml /openapi/agent-sdk.json post /api/meta-profiles/{name}/activate
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/meta-profiles/{name}/activate:
    post:
      tags:
        - Meta-profiles
      summary: Activate Meta Profile
      description: >-
        Activate a meta-profile by recording it as ``active_meta_profile``.


        Unlike LLM profiles, activating a meta-profile does not mutate the
        agent's

        LLM config — it only records which meta-profile the

        ``route_task_to_model`` tool should route with. Returns 404 if the

        meta-profile does not exist.
      operationId: activate_meta_profile_api_meta_profiles__name__activate_post
      parameters:
        - in: path
          name: name
          required: true
          schema:
            maxLength: 64
            minLength: 1
            pattern: ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
            title: Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivateMetaProfileResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    ActivateMetaProfileResponse:
      properties:
        message:
          title: Message
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - message
      title: ActivateMetaProfileResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.